<?php


// load the textdomain for language-support

load_theme_textdomain( 'og-vierzehn', get_template_directory() . '/languages');



// redirecting a search when there is only one result 

function theme_show_on_match() {  
    if (is_search()) {  
        global $wp_query;  
        if ($wp_query->post_count == 1) {  
            wp_redirect( get_permalink( $wp_query->posts['0']->ID ) );  
        }  
    }  
}
add_action('template_redirect', 'theme_show_on_match');  



// add a 'Customize' link to the admin menu

add_action( 'admin_menu', 'og_customize' );
function og_customize() { 
	add_theme_page( __('Customize','og-vierzehn'), __('Customize','og-vierzehn'), 'edit_theme_options', '/customize.php' );
}


// add theme-customizer-options

function og_theme_customizer( $wp_customize ) {


// add a section for basic VIERZEHN options

	$wp_customize->add_section( 'vierzehn_basic', array(
		'title' => __('VIERZEHN - Basic options','og-vierzehn'),
		'description' => __('Basic theme options','og-vierzehn'),
		'priority' => '1'
	) );
	
	// add the settings and the controls

		$wp_customize->add_setting( 'og_theme_options[font_size]', array(
			'default' => '14px',
			'type' => 'option',
		) );
		 
		$wp_customize->add_control( 'og_theme_options[font_size]', array(
			'label' => __('Default font-size','og-vierzehn'),
			'section' => 'vierzehn_basic',
			'type' => 'radio',
			'priority' => '1',
			'choices' => array(
				'13px' => __('13 Pixel','og-vierzehn'),
				'14px' => __('14 Pixel (default)','og-vierzehn'),
				'15px' => __('15 Pixel','og-vierzehn'),
				'16px' => __('16 Pixel','og-vierzehn'),
			),
		) );

		$wp_customize->add_setting( 'og_theme_options[font_standard]', array(
			'default' => '0',
			'type' => 'option',
		) );
		 
		$wp_customize->add_control( 'og_theme_options[font_standard]', array(
			'label' => __('Default font','og-vierzehn'),
			'section' => 'vierzehn_basic',
			'type' => 'select',
			'priority' => '2',
			'choices' => array(
				'0' => __('Noto Serif (default)','og-vierzehn'),
				'1' => 'Droid Sans',
				'2' => 'PT Sans',
				'3' => 'Source Sans Pro',
				'4' => 'Ubuntu',
				'5' => 'Roboto',
				'6' => 'Open Sans',
			),
		) );

		$wp_customize->add_setting( 'og_theme_options[font_h]', array(
			'default' => '0',
			'type' => 'option',
		) );
		 
		$wp_customize->add_control( 'og_theme_options[font_h]', array(
			'label' => __('Default heading-font','og-vierzehn'),
			'section' => 'vierzehn_basic',
			'type' => 'select',
			'priority' => '3',
			'choices' => array(
				'0' => __('Archivo Narrow (default)','og-vierzehn'),
				'1' => 'Fjalla One',
				'2' => 'Roboto Condensed',
				'3' => 'Lato',
				'4' => 'Open Sans Condensed',
				'5' => 'Bitter',
				'6' => 'Bree Serif',
				'7' => 'Tauri',
				'8' => 'Open Sans light',
			),
		) );

		$wp_customize->add_setting( 'og_theme_options[posts_comments]', array(
			'default' => 0,
			'type' => 'option',
		) );
		 
		$wp_customize->add_control( 'og_theme_options[posts_comments]', array(
			'label' => __('Display number of posts and comments in the theme-credits','og-vierzehn'),
			'type' => 'checkbox',
			'priority' => '5',
			'section' => 'vierzehn_basic',
		) );

		$wp_customize->add_setting( 'og_theme_options[sticky_text]', array(
			'type' => 'option',
		) );

		$wp_customize->add_control( 'og_theme_options[sticky_text]', array(
			'label' => __('Label for sticky-posts','og-vierzehn'),
			'type' => 'text',
			'priority' => '6',
			'section' => 'vierzehn_basic',
		) );

		$wp_customize->add_setting( 'og_theme_options[copyright]', array(
			'type' => 'option',
		) );

		$wp_customize->add_control( 'og_theme_options[copyright]', array(
			'label' => __('Text for copyright','og-vierzehn'),
			'type' => 'text',
			'priority' => '7',
			'section' => 'vierzehn_basic',
		) );

		$wp_customize->add_setting( 'og_theme_options[google_analytics]', array(
			'type' => 'option',
		) );

		$wp_customize->add_control( 'og_theme_options[google_analytics]', array(
			'label' => __('Paste your Google Analytics code','og-vierzehn'),
			'type' => 'text',
			'priority' => '8',
			'section' => 'vierzehn_basic',
		) );

		$wp_customize->add_setting( 'og_theme_options[excerpt_words]', array(
			'type' => 'option',
		) );

		$wp_customize->add_control( 'og_theme_options[excerpt_words]', array(
			'label' => __('Number of words for excerpts','og-vierzehn'),
			'type' => 'text',
			'priority' => '9',
			'section' => 'vierzehn_basic',
		) );

		$wp_customize->add_setting( 'og_theme_options[excerpt_moretag]', array(
			'default' => 0,
			'type' => 'option',
		) );
		 
		$wp_customize->add_control( 'og_theme_options[excerpt_moretag]', array(
			'label' => __('Excerpts with a more-button','og-vierzehn'),
			'type' => 'checkbox',
			'priority' => '10',
			'section' => 'vierzehn_basic',
		) );


// add a section for VIERZEHN logo upload

	$wp_customize->add_section( 'vierzehn_logo', array(
		'title' => __('VIERZEHN - Logo','og-vierzehn'),
		'description' => __('Logo upload','og-vierzehn'),
		'priority' => '2'
	) );
	
	// add the settings and the controls

		$wp_customize->add_setting( 'og_theme_options[display_logo]', array(
			'default' => 0,
			'type' => 'option',
		) );
		 
		$wp_customize->add_control( 'og_theme_options[display_logo]', array(
			'label' => __('Display a logo in the upper-left corner','og-vierzehn'),
			'type' => 'checkbox',
			'priority' => '1',
			'section' => 'vierzehn_logo',
		) );

		$wp_customize->add_setting( 'og_theme_options[logo]', array(
			'type' => 'option',
		) );

		$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'og_theme_options[logo]', array(
			'label'   => __('Upload your own logo (150 x 40 pixel)','og-vierzehn'),
			'priority' => '2',
			'section' => 'vierzehn_logo',
		) ) );


// add a section for the post options

	$wp_customize->add_section( 'vierzehn_posts', array(
		'title' => __('VIERZEHN - Post options','og-vierzehn'),
		'description' => __('Options for posts','og-vierzehn'),
		'priority' => '3'
	) );

	// add the settings and the controls
			
		$wp_customize->add_setting( 'og_theme_options[post_view]', array(
			'default' => '0',
			'type' => 'option',
		) );
		 
		$wp_customize->add_control( 'og_theme_options[post_view]', array(
			'label' => __('Display the posts on blog-pages','og-vierzehn'),
			'section' => 'vierzehn_posts',
			'type' => 'radio',
			'priority' => '1',
			'choices' => array(
				'0' => __('with more-link (default)','og-vierzehn'),
				'1' => __('as excerpt','og-vierzehn'),
				'2' => __('as full post without more-link','og-vierzehn'),
			),
		) );

		$wp_customize->add_setting( 'og_theme_options[post_thumbnails_grayscale]', array(
			'default' => 0,
			'type' => 'option',
		) );
		 
		$wp_customize->add_control( 'og_theme_options[post_thumbnails_grayscale]', array(
			'label' => __('Post-Thumbnails in grayscale (works not with IE10)','og-vierzehn'),
			'type' => 'checkbox',
			'priority' => '2',
			'section' => 'vierzehn_posts',
		) );

		$wp_customize->add_setting( 'og_theme_options[post_images_grayscale]', array(
			'default' => 0,
			'type' => 'option',
		) );
		 
		$wp_customize->add_control( 'og_theme_options[post_images_grayscale]', array(
			'label' => __('Post-images in grayscale (works not with IE10)','og-vierzehn'),
			'type' => 'checkbox',
			'priority' => '3',
			'section' => 'vierzehn_posts',
		) );

		$wp_customize->add_setting( 'og_theme_options[post_author]', array(
			'default' => 0,
			'type' => 'option',
		) );
		 
		$wp_customize->add_control( 'og_theme_options[post_author]', array(
			'label' => __('Display an author-box','og-vierzehn'),
			'type' => 'checkbox',
			'priority' => '4',
			'section' => 'vierzehn_posts',
		) );

		$wp_customize->add_setting( 'og_theme_options[post_info_author]', array(
			'default' => 0,
			'type' => 'option',
		) );
		 
		$wp_customize->add_control( 'og_theme_options[post_info_author]', array(
			'label' => __('Display name and avatar of post-author','og-vierzehn'),
			'type' => 'checkbox',
			'priority' => '5',
			'section' => 'vierzehn_posts',
		) );

		$wp_customize->add_setting( 'og_theme_options[post_navigation]', array(
			'default' => 0,
			'type' => 'option',
		) );
		 
		$wp_customize->add_control( 'og_theme_options[post_navigation]', array(
			'label' => __('Display post-navigation','og-vierzehn'),
			'type' => 'checkbox',
			'priority' => '6',
			'section' => 'vierzehn_posts',
		) );

		$wp_customize->add_setting( 'og_theme_options[post_recommendation]', array(
			'default' => 0,
			'type' => 'option',
		) );
		 
		$wp_customize->add_control( 'og_theme_options[post_recommendation]', array(
			'label' => __('Display post-recommendations','og-vierzehn'),
			'type' => 'checkbox',
			'priority' => '7',
			'section' => 'vierzehn_posts',
		) );

		$wp_customize->add_setting( 'og_theme_options[post_recommendation_title]', array(
			'type' => 'option',
		) );

		$wp_customize->add_control( 'og_theme_options[post_recommendation_title]', array(
			'label' => __('Heading for the post-recommendation','og-vierzehn'),
			'type' => 'text',
			'priority' => '8',
			'section' => 'vierzehn_posts',
		) );

		$wp_customize->add_setting( 'og_theme_options[post_recommendation_excerpt]', array(
			'default' => 0,
			'type' => 'option',
		) );
		 
		$wp_customize->add_control( 'og_theme_options[post_recommendation_excerpt]', array(
			'label' => __('Post-recommendations with excerpt','og-vierzehn'),
			'type' => 'checkbox',
			'priority' => '9',
			'section' => 'vierzehn_posts',
		) );



// add a section for featured posts

	$wp_customize->add_section( 'vierzehn_featured', array(
		'title' => __('VIERZEHN - Featured posts','og-vierzehn'),
		'description' => __('Options for the featured posts','og-vierzehn'),
		'priority' => '4'
	) );
	
	// add the settings and the controls

		$wp_customize->add_setting( 'og_theme_options[featured]', array(
			'default' => 0,
			'type' => 'option',
		) );
		 
		$wp_customize->add_control( 'og_theme_options[featured]', array(
			'label' => __('Display featured posts','og-vierzehn'),
			'type' => 'checkbox',
			'priority' => '1',
			'section' => 'vierzehn_featured',
		) );

		$wp_customize->add_setting( 'og_theme_options[featured_type]', array(
			'default' => '0',
			'type' => 'option',
		) );
		 
		$wp_customize->add_control( 'og_theme_options[featured_type]', array(
			'label' => __('Type of featured posts','og-vierzehn'),
			'section' => 'vierzehn_featured',
			'type' => 'radio',
			'priority' => '2',
			'choices' => array(
				'0' => __('most commented posts (default)','og-vierzehn'),
				'1' => __('random posts','og-vierzehn'),
				'2' => __('sticky posts','og-vierzehn'),
			),
		) );

		$wp_customize->add_setting( 'og_theme_options[featured_title]', array(
			'type' => 'option',
		) );

		$wp_customize->add_control( 'og_theme_options[featured_title]', array(
			'label' => __('Heading for the featured posts','og-vierzehn'),
			'type' => 'text',
			'priority' => '3',
			'section' => 'vierzehn_featured',
		) );

		$wp_customize->add_setting( 'og_theme_options[featured_number]', array(
			'type' => 'option',
		) );

		$wp_customize->add_control( 'og_theme_options[featured_number]', array(
			'label' => __('How many featured posts to display','og-vierzehn'),
			'type' => 'text',
			'priority' => '4',
			'section' => 'vierzehn_featured',
		) );

		$wp_customize->add_setting( 'og_theme_options[featured_excerpt]', array(
			'default' => 0,
			'type' => 'option',
		) );
		 
		$wp_customize->add_control( 'og_theme_options[featured_excerpt]', array(
			'label' => __('Featured posts with excerpts','og-vierzehn'),
			'type' => 'checkbox',
			'priority' => '5',
			'section' => 'vierzehn_featured',
		) );

		$wp_customize->add_setting( 'og_theme_options[featured_paged]', array(
			'default' => 0,
			'type' => 'option',
		) );
		 
		$wp_customize->add_control( 'og_theme_options[featured_paged]', array(
			'label' => __('Featured posts only on first page','og-vierzehn'),
			'type' => 'checkbox',
			'priority' => '6',
			'section' => 'vierzehn_featured',
		) );

		$wp_customize->add_setting( 'og_theme_options[featured_sticky_home]', array(
			'default' => 0,
			'type' => 'option',
		) );
		 
		$wp_customize->add_control( 'og_theme_options[featured_sticky_home]', array(
			'label' => __('Featured sticky posts within the regular posts too','og-vierzehn'),
			'type' => 'checkbox',
			'priority' => '7',
			'section' => 'vierzehn_featured',
		) );


// add a section for the social network options

	$wp_customize->add_section( 'vierzehn_social', array(
		'title' => __('VIERZEHN - Social Networks','og-vierzehn'),
		'description' => __('Options for Social Network links','og-vierzehn'),
		'priority' => '5'
	) );

	// add the settings and the controls

		$wp_customize->add_setting( 'og_theme_options[facebook]', array(
			'default' => 0,
			'type' => 'option',
		) );
		 
		$wp_customize->add_control( 'og_theme_options[facebook]', array(
			'label' => 'Facebook',
			'type' => 'checkbox',
			'section' => 'vierzehn_social',
			'priority' => '1'
		) );

		$wp_customize->add_setting( 'og_theme_options[facebook_url]', array(
			'type' => 'option',
		) );

		$wp_customize->add_control( 'og_theme_options[facebook_url]', array(
			'label' => __('Link to your Facebook profile','og-vierzehn'),
			'type' => 'text',
			'section' => 'vierzehn_social',
			'priority' => '2'
		) );

		$wp_customize->add_setting( 'og_theme_options[facebook_tooltip]', array(
			'type' => 'option',
		) );

		$wp_customize->add_control( 'og_theme_options[facebook_tooltip]', array(
			'label' => __('Facebook tooltip-text','og-vierzehn'),
			'type' => 'text',
			'section' => 'vierzehn_social',
			'priority' => '3'
		) );

		$wp_customize->add_setting( 'og_theme_options[twitter]', array(
			'default' => 0,
			'type' => 'option',
		) );
		 
		$wp_customize->add_control( 'og_theme_options[twitter]', array(
			'label' => 'Twitter',
			'type' => 'checkbox',
			'section' => 'vierzehn_social',
			'priority' => '4'
		) );

		$wp_customize->add_setting( 'og_theme_options[twitter_url]', array(
			'type' => 'option',
		) );

		$wp_customize->add_control( 'og_theme_options[twitter_url]', array(
			'label' => __('Link to your Twitter profile','og-vierzehn'),
			'type' => 'text',
			'section' => 'vierzehn_social',
			'priority' => '5'
		) );

		$wp_customize->add_setting( 'og_theme_options[twitter_tooltip]', array(
			'type' => 'option',
		) );

		$wp_customize->add_control( 'og_theme_options[twitter_tooltip]', array(
			'label' => __('Twitter tooltip-text','og-vierzehn'),
			'type' => 'text',
			'section' => 'vierzehn_social',
			'priority' => '6'
		) );

		$wp_customize->add_setting( 'og_theme_options[google]', array(
			'default' => 0,
			'type' => 'option',
		) );
		 
		$wp_customize->add_control( 'og_theme_options[google]', array(
			'label' => 'Google+',
			'type' => 'checkbox',
			'section' => 'vierzehn_social',
			'priority' => '7'
		) );

		$wp_customize->add_setting( 'og_theme_options[google_url]', array(
			'type' => 'option',
		) );

		$wp_customize->add_control( 'og_theme_options[google_url]', array(
			'label' => __('Link to your Google+ profile','og-vierzehn'),
			'type' => 'text',
			'section' => 'vierzehn_social',
			'priority' => '8'
		) );

		$wp_customize->add_setting( 'og_theme_options[google_tooltip]', array(
			'type' => 'option',
		) );

		$wp_customize->add_control( 'og_theme_options[google_tooltip]', array(
			'label' => __('Google+ tooltip-text','og-vierzehn'),
			'type' => 'text',
			'section' => 'vierzehn_social',
			'priority' => '9'
		) );

		$wp_customize->add_setting( 'og_theme_options[xing]', array(
			'default' => 0,
			'type' => 'option',
		) );
		 
		$wp_customize->add_control( 'og_theme_options[xing]', array(
			'label' => 'Xing',
			'type' => 'checkbox',
			'section' => 'vierzehn_social',
			'priority' => '10'
		) );

		$wp_customize->add_setting( 'og_theme_options[xing_url]', array(
			'type' => 'option',
		) );

		$wp_customize->add_control( 'og_theme_options[xing_url]', array(
			'label' => __('Link to your Xing profile','og-vierzehn'),
			'type' => 'text',
			'section' => 'vierzehn_social',
			'priority' => '11'
		) );

		$wp_customize->add_setting( 'og_theme_options[xing_tooltip]', array(
			'type' => 'option',
		) );

		$wp_customize->add_control( 'og_theme_options[xing_tooltip]', array(
			'label' => __('Xing tooltip-text','og-vierzehn'),
			'type' => 'text',
			'section' => 'vierzehn_social',
			'priority' => '12'
		) );

		$wp_customize->add_setting( 'og_theme_options[pinterest]', array(
			'default' => 0,
			'type' => 'option',
		) );
		 
		$wp_customize->add_control( 'og_theme_options[pinterest]', array(
			'label' => 'Pinterest',
			'type' => 'checkbox',
			'section' => 'vierzehn_social',
			'priority' => '13'
		) );

		$wp_customize->add_setting( 'og_theme_options[pinterest_url]', array(
			'type' => 'option',
		) );

		$wp_customize->add_control( 'og_theme_options[pinterest_url]', array(
			'label' => __('Link to your Pinterest profile','og-vierzehn'),
			'type' => 'text',
			'section' => 'vierzehn_social',
			'priority' => '14'
		) );

		$wp_customize->add_setting( 'og_theme_options[pinterest_tooltip]', array(
			'type' => 'option',
		) );

		$wp_customize->add_control( 'og_theme_options[pinterest_tooltip]', array(
			'label' => __('Pinterest tooltip-text','og-vierzehn'),
			'type' => 'text',
			'section' => 'vierzehn_social',
			'priority' => '15'
		) );

		$wp_customize->add_setting( 'og_theme_options[tumblr]', array(
			'default' => 0,
			'type' => 'option',
		) );
		 
		$wp_customize->add_control( 'og_theme_options[tumblr]', array(
			'label' => 'Tumblr',
			'type' => 'checkbox',
			'section' => 'vierzehn_social',
			'priority' => '16'
		) );

		$wp_customize->add_setting( 'og_theme_options[tumblr_url]', array(
			'type' => 'option',
		) );

		$wp_customize->add_control( 'og_theme_options[tumblr_url]', array(
			'label' => __('Link to your Tumblr profile','og-vierzehn'),
			'type' => 'text',
			'section' => 'vierzehn_social',
			'priority' => '17'
		) );

		$wp_customize->add_setting( 'og_theme_options[tumblr_tooltip]', array(
			'type' => 'option',
		) );

		$wp_customize->add_control( 'og_theme_options[tumblr_tooltip]', array(
			'label' => __('Tumblr tooltip-text','og-vierzehn'),
			'type' => 'text',
			'section' => 'vierzehn_social',
			'priority' => '18'
		) );

		$wp_customize->add_setting( 'og_theme_options[picasa]', array(
			'default' => 0,
			'type' => 'option',
		) );
		 
		$wp_customize->add_control( 'og_theme_options[picasa]', array(
			'label' => 'Picasa',
			'type' => 'checkbox',
			'section' => 'vierzehn_social',
			'priority' => '19'
		) );

		$wp_customize->add_setting( 'og_theme_options[picasa_url]', array(
			'type' => 'option',
		) );

		$wp_customize->add_control( 'og_theme_options[picasa_url]', array(
			'label' => __('Link to your Picasa profile','og-vierzehn'),
			'type' => 'text',
			'section' => 'vierzehn_social',
			'priority' => '20'
		) );

		$wp_customize->add_setting( 'og_theme_options[picasa_tooltip]', array(
			'type' => 'option',
		) );

		$wp_customize->add_control( 'og_theme_options[picasa_tooltip]', array(
			'label' => __('Picasa tooltip-text','og-vierzehn'),
			'type' => 'text',
			'section' => 'vierzehn_social',
			'priority' => '21'
		) );

		$wp_customize->add_setting( 'og_theme_options[flickr]', array(
			'default' => 0,
			'type' => 'option',
		) );
		 
		$wp_customize->add_control( 'og_theme_options[flickr]', array(
			'label' => 'Flickr',
			'type' => 'checkbox',
			'section' => 'vierzehn_social',
			'priority' => '22'
		) );

		$wp_customize->add_setting( 'og_theme_options[flickr_url]', array(
			'type' => 'option',
		) );

		$wp_customize->add_control( 'og_theme_options[flickr_url]', array(
			'label' => __('Link to your Flickr profile','og-vierzehn'),
			'type' => 'text',
			'section' => 'vierzehn_social',
			'priority' => '23'
		) );

		$wp_customize->add_setting( 'og_theme_options[flickr_tooltip]', array(
			'type' => 'option',
		) );

		$wp_customize->add_control( 'og_theme_options[flickr_tooltip]', array(
			'label' => __('Flickr tooltip-text','og-vierzehn'),
			'type' => 'text',
			'section' => 'vierzehn_social',
			'priority' => '24'
		) );

		$wp_customize->add_setting( 'og_theme_options[lastfm]', array(
			'default' => 0,
			'type' => 'option',
		) );
		 
		$wp_customize->add_control( 'og_theme_options[lastfm]', array(
			'label' => 'Last.fm',
			'type' => 'checkbox',
			'section' => 'vierzehn_social',
			'priority' => '25'
		) );

		$wp_customize->add_setting( 'og_theme_options[lastfm_url]', array(
			'type' => 'option',
		) );

		$wp_customize->add_control( 'og_theme_options[lastfm_url]', array(
			'label' => __('Link to your Last.fm profile','og-vierzehn'),
			'type' => 'text',
			'section' => 'vierzehn_social',
			'priority' => '26'
		) );

		$wp_customize->add_setting( 'og_theme_options[lastfm_tooltip]', array(
			'type' => 'option',
		) );

		$wp_customize->add_control( 'og_theme_options[lastfm_tooltip]', array(
			'label' => __('Last.fm tooltip-text','og-vierzehn'),
			'type' => 'text',
			'section' => 'vierzehn_social',
			'priority' => '27'
		) );

		$wp_customize->add_setting( 'og_theme_options[youtube]', array(
			'default' => 0,
			'type' => 'option',
		) );
		 
		$wp_customize->add_control( 'og_theme_options[youtube]', array(
			'label' => 'YouTube',
			'type' => 'checkbox',
			'section' => 'vierzehn_social',
			'priority' => '28'
		) );

		$wp_customize->add_setting( 'og_theme_options[youtube_url]', array(
			'type' => 'option',
		) );

		$wp_customize->add_control( 'og_theme_options[youtube_url]', array(
			'label' => __('Link to your YouTube profile','og-vierzehn'),
			'type' => 'text',
			'section' => 'vierzehn_social',
			'priority' => '29'
		) );

		$wp_customize->add_setting( 'og_theme_options[youtube_tooltip]', array(
			'type' => 'option',
		) );

		$wp_customize->add_control( 'og_theme_options[youtube_tooltip]', array(
			'label' => __('YouTube tooltip-text','og-vierzehn'),
			'type' => 'text',
			'section' => 'vierzehn_social',
			'priority' => '30'
		) );

		$wp_customize->add_setting( 'og_theme_options[rss]', array(
			'default' => 0,
			'type' => 'option',
		) );
		 
		$wp_customize->add_control( 'og_theme_options[rss]', array(
			'label' => __('RSS-Feed','og-vierzehn'),
			'type' => 'checkbox',
			'section' => 'vierzehn_social',
			'priority' => '31'
		) );

		$wp_customize->add_setting( 'og_theme_options[rss_tooltip]', array(
			'type' => 'option',
		) );

		$wp_customize->add_control( 'og_theme_options[rss_tooltip]', array(
			'label' => __('RSS-Feed tooltip-text','og-vierzehn'),
			'type' => 'text',
			'section' => 'vierzehn_social',
			'priority' => '32'
		) );


// add settings and controls for the color-section

	$wp_customize->add_setting( 'og_theme_options[akzent_color]', array(
		'default' => '#e63f2a',
		'type' => 'option',
		'sanitize_callback'    => 'sanitize_hex_color_no_hash',
		'sanitize_js_callback' => 'maybe_hash_hex_color',
	) );

	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'og_theme_options[akzent_color]', array(
		'label'   => __('Akzent color','og-vierzehn'),
		'section' => 'colors',
		'priority' => '3'
	) ) );

	$wp_customize->add_setting( 'og_theme_options[alternate_color]', array(
		'default' => '#ea9629',
		'type' => 'option',
		'sanitize_callback'    => 'sanitize_hex_color_no_hash',
		'sanitize_js_callback' => 'maybe_hash_hex_color',
	) );

	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'og_theme_options[alternate_color]', array(
		'label'   => __('Alternate color','og-vierzehn'),
		'section' => 'colors',
		'priority' => '4'
	) ) );

	$wp_customize->add_setting( 'og_theme_options[link_color]', array(
		'default' => '#777777',
		'type' => 'option',
		'sanitize_callback'    => 'sanitize_hex_color_no_hash',
		'sanitize_js_callback' => 'maybe_hash_hex_color',
	) );

	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'og_theme_options[link_color]', array(
		'label'   => __('Hyperlink color','og-vierzehn'),
		'section' => 'colors',
		'priority' => '5'
	) ) );

	$wp_customize->add_setting( 'og_theme_options[hover_color]', array(
		'default' => '#999999',
		'type' => 'option',
		'sanitize_callback'    => 'sanitize_hex_color_no_hash',
		'sanitize_js_callback' => 'maybe_hash_hex_color',
	) );

	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'og_theme_options[hover_color]', array(
		'label'   => __('Hover color','og-vierzehn'),
		'section' => 'colors',
		'priority' => '6'
	) ) );



// add settings and controls for the title_tagline section

	$wp_customize->add_setting( 'og_theme_options[bloginfo]', array(
		'default' => '0',
		'type' => 'option',
	) );
	 
	$wp_customize->add_control( 'og_theme_options[bloginfo]', array(
		'label' => __('Display in header-image','og-vierzehn'),
		'section' => 'title_tagline',
		'type' => 'select',
		'choices' => array(
			'0' => __('none','og-vierzehn'),
			'1' => __('Site Title','og-vierzehn'),
			'2' => __('Tagline','og-vierzehn'),
			'3' => __('Site Title and Tagline','og-vierzehn'),
		),
	) );



// add settings and controls for the header_image section

	$wp_customize->add_setting( 'og_theme_options[header_image_animation]', array(
		'default' => 0,
		'type' => 'option',
	) );
		 
	$wp_customize->add_control( 'og_theme_options[header_image_animation]', array(
		'label' => __('Fade in animation for the header-image','og-vierzehn'),
		'type' => 'checkbox',
		'section' => 'header_image',
		'priority' => '1'
	) );

	$wp_customize->add_setting( 'og_theme_options[header_image_grayscale]', array(
		'default' => 0,
		'type' => 'option',
	) );
		 
	$wp_customize->add_control( 'og_theme_options[header_image_grayscale]', array(
		'label' => __('Header-image in grayscale (works not with IE10)','og-vierzehn'),
		'type' => 'checkbox',
		'section' => 'header_image',
		'priority' => '2'
	) );

}


add_action( 'customize_register', 'og_theme_customizer', 11 );


// add an theme-based stylesheet for TinyMCE

add_editor_style();


// activate the custom-background-function and set the default background

$args = array(
	'default-color' => 'F7F5E7',
);

add_theme_support( 'custom-background', $args );


// activate the custom-header-function and set the default header-image

$defaults = array(
	'default-image'          => get_template_directory_uri() . '/images/header-image.jpg',
	'random-default'         => false,
	'width'                  => 1680,
	'height'                 => 500,
	'flex-height'            => false,
	'flex-width'             => false,
	'header-text'            => false,
	'uploads'                => true,
);

add_theme_support( 'custom-header', $defaults );


// activate the post-formats

add_theme_support( 'post-formats', array( 
	'aside', 
	'gallery', 
	'link', 
	'image',
	'quote', 
	'status', 
	'video',
	'audio', 
	'chat' 
	)
);

	
// activate the post-thumbnail-function and set the sizes

if (function_exists('add_theme_support')) {
add_theme_support('post-thumbnails', array('post'));

	set_post_thumbnail_size(1000, 250, true);
	add_image_size( 'featured-thumbnail', 371, 200, true ); 
	add_image_size( 'recommendation-thumbnail', 294, 150, true ); 
}


// show post-thumbnails in the list of posts in the backend if function is enabeld

if ( !function_exists('fb_AddThumbColumn') && function_exists('add_theme_support') ) {
add_theme_support('post-thumbnails', array( 'post', 'page' ) );

	function fb_AddThumbColumn($cols) {
       		$cols['thumbnail'] = ('Thumbnail');
	        return $cols;
	}

	function fb_AddThumbValue($column_name, $post_id) {

	            $width = (int) 35;
        	    $height = (int) 35;

	            if ( 'thumbnail' == $column_name ) {
        	        // thumbnail of WP 2.9
                	$thumbnail_id = get_post_meta( $post_id, '_thumbnail_id', true );
	                // image from gallery
        	        $attachments = get_children( array('post_parent' => $post_id, 'post_type' => 'attachment', 'post_mime_type' => 'image') );
                	if ($thumbnail_id)
	                    $thumb = wp_get_attachment_image( $thumbnail_id, array($width, $height), true );
        	        elseif ($attachments) {
                	    foreach ( $attachments as $attachment_id => $attachment ) {
                        	$thumb = wp_get_attachment_image( $attachment_id, array($width, $height), true );
	                    }
        	        }
                	    if ( isset($thumb) && $thumb ) {
                        	echo $thumb;
	                    } else {
        	                echo ('None');
                	    }
	            }
   	}

	    add_filter( 'manage_posts_columns', 'fb_AddThumbColumn' );
	    add_action( 'manage_posts_custom_column', 'fb_AddThumbValue', 10, 2 );
}



// register the sidebars

if ( function_exists('register_sidebar') )
register_sidebar( array(
	'name' => 'Footer 1',
	'id' => 'footer-1',
	'before_title'  => '<h6 class="widgettitle">',
	'after_title'   => '</h6>'
	)
);

if ( function_exists('register_sidebar') )
register_sidebar( array(
	'name' => 'Footer 2',
	'id' => 'footer-2',
	'before_title'  => '<h6 class="widgettitle">',
	'after_title'   => '</h6>'
	)
);

if ( function_exists('register_sidebar') )
register_sidebar( array(
	'name' => 'Footer 3',
	'id' => 'footer-3',
	'before_title'  => '<h6 class="widgettitle">',
	'after_title'   => '</h6>'
	)
);

if ( function_exists('register_sidebar') )
register_sidebar( array(
	'name' => 'Footer 4',
	'id' => 'footer-4',
	'before_title'  => '<h6 class="widgettitle">',
	'after_title'   => '</h6>'
	)
);


// register the nav-menus

if ( function_exists('register_nav_menus') ) {
register_nav_menus( array(
	'header_menu' => __( 'Header-navigation','og-vierzehn' ),
	'footer_menu' => __( 'Footer-navigation','og-vierzehn' )
	)
);
}


// activate feed-link-support

if (function_exists('add_theme_support')) {
add_theme_support('automatic-feed-links');
}


// set the maximum content width

if ( ! isset( $content_width ) ) $content_width = 780;



// set the number of words for the post-excerpt

function custom_excerpt_length( $length ) {

$options = get_option( 'og_theme_options' );

	if ($options['excerpt_words']) { 
		return $options['excerpt_words'];
	} else { 
		return 55;
	}
}
add_filter( 'excerpt_length', 'custom_excerpt_length', 999 );
 

// show a read-more-link for the excerpt

$options = get_option( 'og_theme_options' );

if ($options['excerpt_moretag'] == 1) {

function new_excerpt_more($more) {
        return '
		<a class="more-link" href="'.get_permalink().'">' . __('Continue reading','og-vierzehn') . '</a>';
}
add_filter('excerpt_more', 'new_excerpt_more');

}


// set shortcodes for columns

function twocolumns_shortcode( $atts, $content = null ) {
	return '<div class="two-columns">' . do_shortcode($content) . '</div>';
}
add_shortcode( 'two-columns', 'twocolumns_shortcode' );

function threecolumns_shortcode( $atts, $content = null ) {
	return '<div class="three-columns">' . do_shortcode($content) . '</div>';
}
add_shortcode( 'three-columns', 'threecolumns_shortcode' );


// set shortcodes for infoboxes

function infobox_shortcode ( $atts, $content = null) {

extract( shortcode_atts( array(
      'color' => '', 
	   ), $atts ) );
      return '<div class="infobox ' . $color . '">' . do_shortcode($content) . '</div>';

}
add_shortcode('infobox', 'infobox_shortcode');


// set shortcodes for buttons

function button_shortcode ( $atts, $content = null) {

extract( shortcode_atts( array(
	'color' => '', 
	'size' => '', 
	'link' => '',
	'align' => '',
	), $atts ) );
	return '<a href="' . $link . '" class="button ' . $size . ' ' . $align . ' ' . $color . '">' . $content . '</a>';
}
add_shortcode('button', 'button_shortcode');


// delete the shortcodes from the excerpt

function custom_excerpt($text = '') {
	$raw_excerpt = $text;
	if ( '' == $text ) {
		$text = get_the_content('');
                // $text = strip_shortcodes( $text );
		$text = do_shortcode( $text );
		$text = apply_filters('the_content', $text);
		$text = str_replace(']]>', ']]>', $text);
		$excerpt_length = apply_filters('excerpt_length', 55);
		$excerpt_more = apply_filters('excerpt_more', ' ' . '[...]');
		$text = wp_trim_words( $text, $excerpt_length, $excerpt_more );
	}
	return apply_filters('wp_trim_excerpt', $text, $raw_excerpt);
}
remove_filter( 'get_the_excerpt', 'wp_trim_excerpt'  );
add_filter( 'get_the_excerpt', 'custom_excerpt'  );


?>