<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>

<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />
<meta name="viewport" content="width=device-width, minimum-scale=1.0, maximum-scale=1.0" />
<title><?php bloginfo('name'); ?> <?php if ( is_home() ) { ?> - <?php bloginfo('description'); } ?> <?php wp_title(); ?> </title>
<link rel="shortcut icon" href="favicon.ico" type="image/x-icon" />
<link rel="stylesheet" href="<?php bloginfo('stylesheet_url'); ?>" type="text/css" media="screen" />
<link rel="stylesheet" href="<?php bloginfo('template_url'); ?>/genericons.css" type="text/css" media="screen" />
<link rel="alternate" type="application/rss+xml" title="RSS 2.0" href="<?php bloginfo('rss2_url'); ?>" />
<link rel="alternate" type="text/xml" title="RSS .92" href="<?php bloginfo('rss_url'); ?>" />
<link rel="alternate" type="application/atom+xml" title="Atom 0.3" href="<?php bloginfo('atom_url'); ?>" />
<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />
<script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/1.4.3/jquery.min.js"></script>


<?php $options = get_option( 'og_theme_options' ); ?> 

<!--Google Web Fonts-->

<?php if ( $options['font_standard'] == 0 ) { ?>
	<link href='http://fonts.googleapis.com/css?family=Noto+Serif:400,400italic,700' rel='stylesheet' type='text/css'>
<?php } elseif ( $options['font_standard'] == 1 ) { ?>
	<link href='http://fonts.googleapis.com/css?family=Droid+Sans:400,700' rel='stylesheet' type='text/css'>
<?php } elseif ( $options['font_standard'] == 2 ) { ?>
	<link href='http://fonts.googleapis.com/css?family=PT+Sans:400,700' rel='stylesheet' type='text/css'>
<?php } elseif ( $options['font_standard'] == 3 ) { ?>
	<link href='http://fonts.googleapis.com/css?family=Source+Sans+Pro:400,700' rel='stylesheet' type='text/css'>
<?php } elseif ( $options['font_standard'] == 4 ) { ?>
	<link href='http://fonts.googleapis.com/css?family=Ubuntu:400,700' rel='stylesheet' type='text/css'>
<?php } elseif ( $options['font_standard'] == 5 ) { ?>
	<link href='http://fonts.googleapis.com/css?family=Roboto:400,700' rel='stylesheet' type='text/css'>
<?php } elseif ( $options['font_standard'] == 6 ) { ?>
	<link href='http://fonts.googleapis.com/css?family=Open+Sans:400,700' rel='stylesheet' type='text/css'>
<?php } ?>

<?php if ( $options['font_h'] == 0 ) { ?>
	<link href='http://fonts.googleapis.com/css?family=Archivo+Narrow:700' rel='stylesheet' type='text/css'>
<?php } elseif ( $options['font_h'] == 1 ) { ?>
	<link href='http://fonts.googleapis.com/css?family=Fjalla+One' rel='stylesheet' type='text/css'>
<?php } elseif ( $options['font_h'] == 2 ) { ?>
	<link href='http://fonts.googleapis.com/css?family=Roboto+Condensed:700' rel='stylesheet' type='text/css'>
<?php } elseif ( $options['font_h'] == 3 ) { ?>
	<link href='http://fonts.googleapis.com/css?family=Lato:700' rel='stylesheet' type='text/css'>
<?php } elseif ( $options['font_h'] == 4 ) { ?>
	<link href='http://fonts.googleapis.com/css?family=Open+Sans+Condensed:400,700' rel='stylesheet' type='text/css'>
<?php } elseif ( $options['font_h'] == 5 ) { ?>
	<link href='http://fonts.googleapis.com/css?family=Bitter:700' rel='stylesheet' type='text/css'>
<?php } elseif ( $options['font_h'] == 6 ) { ?>
	<link href='http://fonts.googleapis.com/css?family=Bree+Serif' rel='stylesheet' type='text/css'>
<?php } elseif ( $options['font_h'] == 7 ) { ?>
	<link href='http://fonts.googleapis.com/css?family=Tauri' rel='stylesheet' type='text/css'>
<?php } elseif ( $options['font_h'] == 8 ) { ?>
	<link href='http://fonts.googleapis.com/css?family=Open+Sans:300' rel='stylesheet' type='text/css'>
<?php } ?>

<style type="text/css">

<?php if ( $options['font_standard'] == 0 ) { ?>
	body, input, select, textarea { font-family: 'Noto Serif', serif; }
<?php } elseif ( $options['font_standard'] == 1 ) { ?>
	body, input, select, textarea { font-family: 'Droid Sans', sans-serif; }
<?php } elseif ( $options['font_standard'] == 2 ) { ?>
	body, input, select, textarea { font-family: 'PT Sans', sans-serif; }
<?php } elseif ( $options['font_standard'] == 3 ) { ?>
	body, input, select, textarea { font-family: 'Source Sans Pro', sans-serif; }
<?php } elseif ( $options['font_standard'] == 4 ) { ?>
	body, input, select, textarea { font-family: 'Ubuntu', sans-serif; }
<?php } elseif ( $options['font_standard'] == 5 ) { ?>
	body, input, select, textarea { font-family: 'Roboto', sans-serif; }
<?php } elseif ( $options['font_standard'] == 6 ) { ?>
	body, input, select, textarea { font-family: 'Open Sans', sans-serif; }
<?php } ?>

<?php if ( $options['font_h'] == 0 ) { ?>
	h1, h2, h3, h4, h5, h6, .commentlist li .comment-author { font-family: 'Archivo Narrow', sans-serif; }
<?php } elseif ( $options['font_h'] == 1 ) { ?>
	h1, h2, h3, h4, h5, h6, .commentlist li .comment-author { font-family: 'Fjalla One', sans-serif; font-weight: normal !important; }
<?php } elseif ( $options['font_h'] == 2 ) { ?>
	h1, h2, h3, h4, h5, h6, .commentlist li .comment-author { font-family: 'Roboto Condensed', sans-serif; font-weight: normal !important; }
<?php } elseif ( $options['font_h'] == 3 ) { ?>
	h1, h2, h3, h4, h5, h6, .commentlist li .comment-author { font-family: 'Lato', sans-serif; }
<?php } elseif ( $options['font_h'] == 4 ) { ?>
	h1, h2, h3, h4, h5, h6, .commentlist li .comment-author { font-family: 'Open Sans Condensed', sans-serif; }
<?php } elseif ( $options['font_h'] == 5 ) { ?>
	h1, h2, h3, h4, h5, h6, .commentlist li .comment-author { font-family: 'Bitter', serif; }
<?php } elseif ( $options['font_h'] == 6 ) { ?>
	h1, h2, h3, h4, h5, h6, .commentlist li .comment-author { font-family: 'Bree Serif', serif; font-weight: normal !important; }
<?php } elseif ( $options['font_h'] == 7 ) { ?>
	h1, h2, h3, h4, h5, h6, .commentlist li .comment-author { font-family: 'Tauri', serif; font-weight: normal !important; }
<?php } elseif ( $options['font_h'] == 8 ) { ?>
	h1, h2, h3, h4, h5, h6, .commentlist li .comment-author { font-family: 'Open Sans', sans-serif; font-weight: 300 !important; }
<?php } ?>

</style>

<!--set the standard font-size-->

<style type="text/css">

<?php if ( $options['font_size'] ) { ?>
	body { font-size: <?php echo $options['font_size']; ?>; }
<?php } else { ?>
	body { font-size: 13px; }
<?php } ?>

</style>

<!--post-images and thumbs grayscale-->

<style type="text/css">

<?php if ( $options['header_image_grayscale'] == 1 ) { ?>

	.header-img img {
		filter: url("data:image/svg+xml;utf8,<svg xmlns=\'http://www.w3.org/2000/svg\'><filter id=\'grayscale\'><feColorMatrix type=\'matrix\' values=\'0.3333 0.3333 0.3333 0 0 0.3333 0.3333 0.3333 0 0 0.3333 0.3333 0.3333 0 0 0 0 0 1 0\'/></filter></svg>#grayscale");
		filter: gray;
		-webkit-filter: grayscale(100%);
		-webkit-transition: all 0.3s ease-in-out;
		-moz-transition: all 0.3s ease-in-out;
		-o-transition: all 0.3s ease-in-out;
		-ms-transition: all 0.3s ease-in-out;
		transition: all 0.3s ease-in-out;
	}

	#header:hover .header-img img {
		filter: none;
		-webkit-filter: grayscale(0%);
	}

<?php } ?>

<?php if ( $options['post_images_grayscale'] == 1 ) { ?>

	.post-content img {
		filter: url("data:image/svg+xml;utf8,<svg xmlns=\'http://www.w3.org/2000/svg\'><filter id=\'grayscale\'><feColorMatrix type=\'matrix\' values=\'0.3333 0.3333 0.3333 0 0 0.3333 0.3333 0.3333 0 0 0.3333 0.3333 0.3333 0 0 0 0 0 1 0\'/></filter></svg>#grayscale");
		filter: gray;
		-webkit-filter: grayscale(100%);
		-webkit-transition: all 0.3s ease-in-out;
		-moz-transition: all 0.3s ease-in-out;
		-o-transition: all 0.3s ease-in-out;
		-ms-transition: all 0.3s ease-in-out;
		transition: all 0.3s ease-in-out;
	}

	.post-content img:hover {
		filter: none;
		-webkit-filter: grayscale(0%);
	}

<?php } ?>

<?php if ( $options['post_thumbnails_grayscale'] == 1 ) { ?>

	.post-thumbnail > img,
	.post-recommendation .recommendation-thumbnail img {
		filter: url("data:image/svg+xml;utf8,<svg xmlns=\'http://www.w3.org/2000/svg\'><filter id=\'grayscale\'><feColorMatrix type=\'matrix\' values=\'0.3333 0.3333 0.3333 0 0 0.3333 0.3333 0.3333 0 0 0.3333 0.3333 0.3333 0 0 0 0 0 1 0\'/></filter></svg>#grayscale");
		filter: gray;
		-webkit-filter: grayscale(100%);
		-webkit-transition: all 0.3s ease-in-out;
		-moz-transition: all 0.3s ease-in-out;
		-o-transition: all 0.3s ease-in-out;
		-ms-transition: all 0.3s ease-in-out;
		transition: all 0.3s ease-in-out;
	}

	.post:hover .post-thumbnail > img,
	.post-recommendation li:hover .recommendation-thumbnail img {
		filter: none;
		-webkit-filter: grayscale(0%);
	}

<?php } ?>

</style>

<!--set individual colors-->

<style type="text/css">

a {
	color: #<?php echo $options['link_color']; ?>;
}

a:hover {
	color: #<?php echo $options['hover_color']; ?>;
}

input[type="submit"],
.social li a span,
.navigation label,
.navigation li ul li a:hover,
.navigation li ul .current-menu-item > a,
.navigation li ul .current-menu-ancestor > a,
.format-link .post-content a,
#respond a#cancel-comment-reply-link,
.comment-navigation a,
.side-navigation a,
a.totop,
a.more-link:hover,
.commentlist a.comment-reply-link:hover { 
	background-color: #<?php echo $options['akzent_color']; ?>;
}

h4,
.entry .title,
#comments h6.notice,
.commentlist li.bypostauthor > div .comment-author cite,
.commentlist .children > li.bypostauthor > div .comment-author cite,
.commentlist li.bypostauthor > div .comment-author cite a,
.commentlist .children > li.bypostauthor > div .comment-author cite a,
.commentlist li.bypostauthor > div .comment-author cite:after,
.commentlist .children > li.bypostauthor > div .comment-author cite:after,
.comment-awaiting-moderation,
.genericon-small,
.author-info .author-name a:hover { 
	color: #<?php echo $options['akzent_color']; ?>;
}

.social li a span:before {
	border-top-color: #<?php echo $options['akzent_color']; ?>;
}

.navigation li:hover a,
.navigation .current-menu-item > a,
.navigation .current-menu-ancestor > a,
.navigation .current_page_item > a,
.navigation .current_page_ancestor > a,
input[type="submit"]:hover,
.format-link .post-content a:hover,
#respond a#cancel-comment-reply-link:hover,
.comment-navigation a:hover,
.side-navigation a:hover,
a.totop:hover,
.genericon,
.search .post .post-date,
.format-quote .post-date,
.format-link .post-date,
.format-status .post-date,
.format-aside .post-date,
.format-image .post-date,
.format-gallery .post-date,
.format-video .post-date,
.format-audio .post-date,
.format-chat .post-date,
.sticky-banner,
a.more-link,
.commentlist a.comment-reply-link {
	background-color: #<?php echo $options['alternate_color']; ?>;
}

h1,
.author-info .author-name a {
	color: #<?php echo $options['alternate_color']; ?>;
}

blockquote,
.format-quote .post-content {
	border-left-color: #<?php echo $options['alternate_color']; ?>;	
}

</style>

<?php if(function_exists('is_singular') && function_exists('wp_enqueue_script')) {  
	if (is_singular())
		wp_enqueue_script( 'comment-reply' );
	}
?>

<?php wp_head(); ?>

</head>


<body <?php body_class(); ?>> 

<div class="side-navigation">

	<div class="nav-right"><?php previous_posts_link('→') ?></div>
	<div class="nav-left"><?php next_posts_link('←') ?></div>

</div><!--.side-navigation-->

	<div id="header">

		<div class="bloginfo">

			<div class="content">

			<?php if ($options['bloginfo'] == 1) { ?>
				<h1 class="name"><a href="<?php echo home_url(); ?>"><?php bloginfo('name'); ?></a></h1>
			<?php } elseif ($options['bloginfo'] == 2) { ?>
				<h1 class="name"><a href="<?php echo home_url(); ?>"><?php bloginfo('description'); ?></a></h1>
			<?php } elseif ($options['bloginfo'] == 3) { ?>
				<h1 class="name"><a href="<?php echo home_url(); ?>"><?php bloginfo('name'); ?></a></h1>
				<div class="description"><a href="<?php echo home_url(); ?>"><?php bloginfo('description'); ?></a></div>
			<?php } ?>

			</div><!--.content-->

		</div><!--.bloginfo-->

		<?php if ($options['header_image_animation'] == 1 ) { ?>

		<div class="header-img animation">

		<?php } else { ?>

		<div class="header-img">

		<?php } ?>

			<img src="<?php header_image(); ?>" height="<?php echo get_custom_header()->height; ?>" width="<?php echo get_custom_header()->width; ?>" alt="" />

		</div><!--.header-img-->

		<div class="header-content">

			<div class="top">

			<?php if ($options['display_logo'] == 1 ) { ?>

				<div class="logo">

				<?php if ($options['logo']) { ?>

					<a href="<?php echo home_url(); ?>"><img src="<?php echo $options['logo']; ?>" alt="logo"></a>

				<?php } else { ?>

					<a href="<?php echo home_url(); ?>"><img src="<?php echo get_template_directory_uri(); ?>/images/logo.png" alt="logo"></a>

				<?php } ?>

				</div><!--.logo-->

			<?php } ?>

			<?php if ( has_nav_menu( 'header_menu' ) ) { ?>

				<div class="navigation">

					<input type="checkbox" id="button">
					<label for="button" onclick><h6><?php _e('Navigation','og-vierzehn'); ?></h6></label>

					<?php 
					$defaults = array(
						'container' 	  => false,
						'menu_class'      => 'header-menu',
						'theme_location'  => 'header_menu',
					);

					wp_nav_menu( $defaults );
					?>

				</div><!--.navigation-->

			<?php } ?>

			</div><!--.top-->

			<div class="social">

				<ul>

					<?php if ($options['facebook'] == 1) { ?>
						<li><a href="<?php echo $options['facebook_url']; ?>"><img src="<?php echo get_template_directory_uri(); ?>/images/facebook.png" alt="facebook-icon">
						<span>
							<?php if ($options['facebook_tooltip']) { ?>
								<?php echo $options['facebook_tooltip'] ?>
							<?php } else { ?>
								<?php _e('My FACEBOOK profile','og-vierzehn'); ?>
							<?php } ?> 
						</span>
						</a></li>
					<?php } ?> 

					<?php if ($options['twitter'] == 1) { ?>
						<li><a href="<?php echo $options['twitter_url']; ?>"><img src="<?php echo get_template_directory_uri(); ?>/images/twitter.png" alt="twitter-icon">
						<span>
							<?php if ($options['twitter_tooltip']) { ?>
								<?php echo $options['twitter_tooltip'] ?>
							<?php } else { ?>
								<?php _e('My TWITTER profile','og-vierzehn'); ?>
							<?php } ?> 
						</span>
						</a></li>
					<?php } ?> 

					<?php if ($options['google'] == 1) { ?>
						<li><a href="<?php echo $options['google_url']; ?>"><img src="<?php echo get_template_directory_uri(); ?>/images/google.png" alt="google-icon">
						<span>
							<?php if ($options['google_tooltip']) { ?>
								<?php echo $options['google_tooltip'] ?>
							<?php } else { ?>
								<?php _e('My GOOGLE+ profile','og-vierzehn'); ?>
							<?php } ?> 
						</span>
						</a></li>
					<?php } ?> 

					<?php if ($options['xing'] == 1) { ?>
						<li><a href="<?php echo $options['xing_url']; ?>"><img src="<?php echo get_template_directory_uri(); ?>/images/xing.png" alt="xing-icon">
						<span>
							<?php if ($options['xing_tooltip']) { ?>
								<?php echo $options['xing_tooltip'] ?>
							<?php } else { ?>
								<?php _e('My XING profile','og-vierzehn'); ?>
							<?php } ?> 
						</span>
						</a></li>
					<?php } ?> 

					<?php if ($options['pinterest'] == 1) { ?>
						<li><a href="<?php echo $options['pinterest_url']; ?>"><img src="<?php echo get_template_directory_uri(); ?>/images/pinterest.png" alt="pinterest-icon">
						<span>
							<?php if ($options['pinterest_tooltip']) { ?>
								<?php echo $options['pinterest_tooltip'] ?>
							<?php } else { ?>
								<?php _e('My PINTEREST profile','og-vierzehn'); ?>
							<?php } ?> 
						</span>
						</a></li>
					<?php } ?> 

					<?php if ($options['tumblr'] == 1) { ?>
						<li><a href="<?php echo $options['tumblr_url']; ?>"><img src="<?php echo get_template_directory_uri(); ?>/images/tumblr.png" alt="tumblr-icon">
						<span>
							<?php if ($options['tumblr_tooltip']) { ?>
								<?php echo $options['tumblr_tooltip'] ?>
							<?php } else { ?>
								<?php _e('My TUMBLR profile','og-vierzehn'); ?>
							<?php } ?> 
						</span>
						</a></li>
					<?php } ?> 

					<?php if ($options['picasa'] == 1) { ?>
						<li><a href="<?php echo $options['picasa_url']; ?>"><img src="<?php echo get_template_directory_uri(); ?>/images/picasa.png" alt="picasa-icon">
						<span>
							<?php if ($options['picasa_tooltip']) { ?>
								<?php echo $options['picasa_tooltip'] ?>
							<?php } else { ?>
								<?php _e('My PICASA profile','og-vierzehn'); ?>
							<?php } ?> 
						</span>
						</a></li>
					<?php } ?> 

					<?php if ($options['flickr'] == 1) { ?>
						<li><a href="<?php echo $options['flickr_url']; ?>"><img src="<?php echo get_template_directory_uri(); ?>/images/flickr.png" alt="flickr-icon">
						<span>
							<?php if ($options['flickr_tooltip']) { ?>
								<?php echo $options['flickr_tooltip'] ?>
							<?php } else { ?>
								<?php _e('My FLICKR profile','og-vierzehn'); ?>
							<?php } ?> 
						</span>
						</a></li>
					<?php } ?> 

					<?php if ($options['lastfm'] == 1) { ?>
						<li><a href="<?php echo $options['lastfm_url']; ?>"><img src="<?php echo get_template_directory_uri(); ?>/images/lastfm.png" alt="lastfm-icon">
						<span>
							<?php if ($options['lastfm_tooltip']) { ?>
								<?php echo $options['lastfm_tooltip'] ?>
							<?php } else { ?>
								<?php _e('My LAST.FM profile','og-vierzehn'); ?>
							<?php } ?> 
						</span>
						</a></li>
					<?php } ?> 

					<?php if ($options['youtube'] == 1) { ?>
						<li><a href="<?php echo $options['youtube_url']; ?>"><img src="<?php echo get_template_directory_uri(); ?>/images/youtube.png" alt="youtube-icon">
						<span>
							<?php if ($options['youtube_tooltip']) { ?>
								<?php echo $options['youtube_tooltip'] ?>
							<?php } else { ?>
								<?php _e('My YOUTUBE profile','og-vierzehn'); ?>
							<?php } ?> 
						</span>
						</a></li>
					<?php } ?> 

					<?php if ($options['rss'] == 1) { ?>
						<li><a href="<?php bloginfo('rss2_url'); ?>"><img src="<?php echo get_template_directory_uri(); ?>/images/rss.png" alt="rss-icon">
						<span>
							<?php if ($options['rss_tooltip']) { ?>
								<?php echo $options['rss_tooltip'] ?>
							<?php } else { ?>
								<?php _e('Get the RSS-Feed','og-vierzehn'); ?>
							<?php } ?> 
						</span>
						</a></li>
					<?php } ?> 

				</ul>

			</div><!--.social-->

			<div class="search-form">

				<form method="get" id="searchform" action="<?php echo get_option('home');?>" />
				<input type="text" name="s" id="s" value="<?php _e('Search','og-vierzehn'); ?>"/>
				<input type="submit" id="sb" value="" />
				</form>

			</div><!--.search-form-->

		</div><!--.header-content-->

	</div><!--#header-->

	<div id="side-content">

		<div id="wrapper">

			<?php if ($options['featured'] == 1) { ?>

				<?php if ($options['featured_paged'] == 1 ) { ?>

					<?php $page = get_query_var('paged'); 
					if ($page < 2 && is_home()) { ?>

						<?php get_template_part('featured-posts'); ?>

					<?php } ?>

				<?php } else { ?>

					<?php if (is_home()) {  ?>

						<?php get_template_part('featured-posts'); ?>

					<?php } ?>

				<?php } ?>

			<?php } ?>

			<div id="content">

				<?php if( is_search() || is_archive() ) { ?>

					<div class="entry">

					<?php if(is_month()) { ?>
						<h2 class="title"><?php _e('Archive for the month','og-vierzehn'); ?> <?php printf (get_the_date('F Y') ); ?></h2>
					<?php } elseif(is_year()) { ?>
						<h2 class="title"><?php _e('Archive for the year','og-vierzehn'); ?> <?php printf (get_the_date('Y') ); ?></h2>
					<?php } elseif(is_day()) { ?>
						<h2 class="title"><?php _e('Archive for','og-vierzehn'); ?> <?php printf (get_the_date('d. F Y') ); ?></h2>
					<?php } elseif(is_category()) { ?>
						<h2 class="title"><?php _e('Archive for the category','og-vierzehn'); ?> "<?php single_tag_title(); ?>"</h2>
					<?php } elseif(is_tag()) { ?>
						<h2 class="title"><?php _e('Archive for the tag','og-vierzehn'); ?> "<?php single_tag_title(); ?>"</h2>
					<?php } elseif(is_search()) { ?>
						<h2 class="title"><?php _e('Search-result for','og-vierzehn'); ?> "<?php the_search_query(); ?>"</h2>
					<?php } elseif(is_author()) { ?>
						<h2 class="title"><?php _e('Author Archive','og-vierzehn'); ?></h2>
					<?php } else { ?>
						<h2 class="title"><?php _e('Archive','og-vierzehn'); ?></h2>
					<?php } ?>

					</div><!--.entry-->			

				<?php } ?>